/*

    Requires the Qt widget libraries, available at no cost at
    http://www.troll.no

    Copyright (C) 1997 Peter Putzer
                       pputzer@edu.uni-klu.ac.at

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef KSVCOPYDIALOG_H
#define KSVCOPYDIALOG_H

#include <qdialog.h>
#include <qcombo.h>
#include <qpushbt.h>
#include <qradiobt.h>
#include <qbttngrp.h>
#include <qlabel.h>
#include <kspinbox.h>

class KSVCopyDialog : public QDialog {
  Q_OBJECT

 public:
  KSVCopyDialog(QWidget *parent=0, const char *name=0);
  ~KSVCopyDialog();

 protected:
  friend class KSysV;

  QLabel* decription;
  KNumericSpinBox* rlBox;
  QRadioButton* startBt;
  QRadioButton* stopBt;
  QRadioButton* rlBt[7];
  QPushButton *okButton;
  QPushButton *cancelButton;

  QButtonGroup* group4;

 protected slots:
  void slotAccept();
  void slotReject();

 signals:
};
#endif
