/*

    Requires the Qt widget libraries, available at no cost at
    http://www.troll.no

    Copyright (C) 1997 Peter Putzer
                       pputzer@edu.uni-klu.ac.at

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/     

#ifndef KSV_DRAGDATA_H
#define KSV_DRAGDATA_H

#include <qobject.h>
#include <qstring.h>
#include <qpixmap.h>

class KSVDragData : public QObject {
  Q_OBJECT //;

 public:
  KSVDragData();
  ~KSVDragData();

  /* class variables */
 protected:
  QString title;
  QString path;
  QString runlevel;
  QPixmap icon;
  QPixmap focus;
  QPixmap noFocus;

  /* conversion functions */
 public:
  virtual QString toString();
  virtual void fromString(QString _data);

  /* other interface functions */
 public:
  virtual QPixmap drawIcon();
  QString getTitle();
  void setTitle(QString _str);
  void setRunlevel(QString _str);
  virtual void setIcon(QPixmap* _pix);
  QString getRunlevel();
  QString getFileName();

  virtual QPixmap* drawFocusIcon();
  virtual QPixmap* drawNoFocusIcon();

  /* "private" functions */
 protected:
  virtual void updateIcons();

};

#endif
