/*

    Requires the Qt widget libraries, available at no cost at
    http://www.troll.no

    Copyright (C) 1997 Peter Putzer
                       pputzer@edu.uni-klu.ac.at

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/     

#ifndef KSVTOP_H
#define KSVTOP_H


#include "dir.h"
#include "ksysv.h"
#include "qpopmenu.h"
#include "kmenubar.h"
#include "ktoolbar.h"
#include "kiconloader.h"
#include "kstatusbar.h"
#include "drag.h"
#include "kconfig.h"
#include "ktopwidget.h"
#include "prefs.h"

class KSVTopLevel : public KTopLevelWidget
{
  Q_OBJECT
    
 public:
  KSVTopLevel();
  ~KSVTopLevel();

 protected: 
   KSysV* _view;
   KMenuBar* _menu;
   KToolBar* _tools;
   KStatusBar* _status;
   KIconLoader* _kil;
   KSVPrefDlg* _prefs;
   KConfig* _conf;
             
 public slots:
  
 signals:
 
 public:
 
 protected:
   void initMenu();
   void initToolBar();
   void initStatusBar();
   void resizeWidgets();
   void closeEvent( QCloseEvent* e );
   bool _changed;
   bool _saveOptions;

 private:
   int toolsNormHeight;
   int menuNormHeight;
   int _BorderWidth;
   QPopupMenu* _FileMenu;
   QPopupMenu* _HelpMenu;
   QPopupMenu* _OptionsMenu;
   QPopupMenu* _EditMenu;

 protected slots:
   void slotMoved();
   void slotCloseMain();
   void slotInvokeHelp();
   void slotShowAbout();
   void slotClearChanges();
   void slotAcceptChanges();
   void slotShowConfig();
   void slotChanged();
   void slotReadConfig();  
   void slotWriteConfig();
   void slotCancelConfig();
   void slotAboutQt();
   void slotToggleOut();
   void slotSaveOptions();
   void slotUpdateRunning( QString _text );
   void slotClearRunning();
   void slotScriptsNotRemovable();
   void editCut();
   void editCopy();
   void editPaste();
};

#endif
